---
title: llarp::DnsConfig

---

# llarp::DnsConfig





## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[defineConfigOptions](Classes/structllarp_1_1DnsConfig.md#function-defineconfigoptions)**([ConfigDefinition](Classes/structllarp_1_1ConfigDefinition.md) & conf, const [ConfigGenParameters](Classes/structllarp_1_1ConfigGenParameters.md) & params) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [SockAddr](Classes/structllarp_1_1SockAddr.md) | **[m_bind](Classes/structllarp_1_1DnsConfig.md#variable-m-bind)**  |
| std::vector< [SockAddr](Classes/structllarp_1_1SockAddr.md) > | **[m_upstreamDNS](Classes/structllarp_1_1DnsConfig.md#variable-m-upstreamdns)**  |
| std::vector< fs::path > | **[m_hostfiles](Classes/structllarp_1_1DnsConfig.md#variable-m-hostfiles)**  |

## Public Functions Documentation

### function defineConfigOptions

```cpp
void defineConfigOptions(
    ConfigDefinition & conf,
    const ConfigGenParameters & params
)
```


## Public Attributes Documentation

### variable m_bind

```cpp
SockAddr m_bind;
```


### variable m_upstreamDNS

```cpp
std::vector< SockAddr > m_upstreamDNS;
```


### variable m_hostfiles

```cpp
std::vector< fs::path > m_hostfiles;
```


-------------------------------

Updated on 2022-07-31 at 00:14:30 +0000